--TEST--
Inline charset test
--FILE--
<?php

$data = 'VERSION:1.0
BEGIN:VCALENDAR
BEGIN:VEVENT
SUMMARY;ENCODING=QUOTED-PRINTABLE;CHARSET=UTF-8:m=C3=B6chen
DTSTART:20040628T080000Z
DTEND:20040628T090000Z
X-EPOCAGENDAENTRYTYPE:APPOINTMENT
CLASS:PUBLIC
DCREATED:20040627T220000Z
LAST-MODIFIED:20040628T175300Z
PRIORITY:0
STATUS:NEEDS ACTION
END:VEVENT
END:VCALENDAR';

require_once dirname(__FILE__) . '/../iCalendar.php';
$ical = &new Horde_iCalendar();
$ical->parseVCalendar($data);
$event = &$ical->getComponent(0);

var_dump($event->getAttribute('SUMMARY'));
var_dump($event->getAttribute('SUMMARY', false, 'iso-8859-1'));

?>
--EXPECT--
string(11) "möchen"
string(6) "mchen"
